<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.4.2_17) on Thu Sep 24 15:03:22 BST 2009 -->
<TITLE>
ParallelEdgeRouter (JGraph v5.12.4.2 API Specification)
</TITLE>

<META NAME="keywords" CONTENT="org.jgraph.util.ParallelEdgeRouter class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="ParallelEdgeRouter (JGraph v5.12.4.2 API Specification)";
}
</SCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=3 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/ParallelEdgeRouter.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
<p><b>JGraph</b><br>v5.12.4.2</p></EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../org/jgraph/util/Bezier.html" title="class in org.jgraph.util"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../org/jgraph/util/RectUtils.html" title="class in org.jgraph.util"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ParallelEdgeRouter.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>

</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.jgraph.util</FONT>
<BR>
Class ParallelEdgeRouter</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../resources/inherit.gif" ALT="extended by"><A HREF="../../../org/jgraph/graph/DefaultEdge.LoopRouting.html" title="class in org.jgraph.graph">org.jgraph.graph.DefaultEdge.LoopRouting</A>
      <IMG SRC="../../../resources/inherit.gif" ALT="extended by"><B>org.jgraph.util.ParallelEdgeRouter</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../org/jgraph/graph/Edge.Routing.html" title="interface in org.jgraph.graph">Edge.Routing</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/io/Serializable.html" title="class or interface in java.io">Serializable</A></DD>
</DL>
<HR>
<DL>
<DT>public class <B>ParallelEdgeRouter</B><DT>extends <A HREF="../../../org/jgraph/graph/DefaultEdge.LoopRouting.html" title="class in org.jgraph.graph">DefaultEdge.LoopRouting</A></DL>

<P>
A routing algorithm that
<P>

<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../serialized-form.html#org.jgraph.util.ParallelEdgeRouter">Serialized Form</A></DL>
<HR>

<P>
<!-- ======== NESTED CLASS SUMMARY ======== -->


<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
<B>Field Summary</B></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected static&nbsp;<A HREF="../../../org/jgraph/util/ParallelEdgeRouter.html" title="class in org.jgraph.util">ParallelEdgeRouter</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/util/ParallelEdgeRouter.html#sharedInstance">sharedInstance</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Singleton to reach parallel edge router</TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_org.jgraph.graph.Edge.Routing"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Fields inherited from interface org.jgraph.graph.<A HREF="../../../org/jgraph/graph/Edge.Routing.html" title="interface in org.jgraph.graph">Edge.Routing</A></B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../org/jgraph/graph/Edge.Routing.html#NO_PREFERENCE">NO_PREFERENCE</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../org/jgraph/util/ParallelEdgeRouter.html#ParallelEdgeRouter()">ParallelEdgeRouter</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
<B>Method Summary</B></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;double</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/util/ParallelEdgeRouter.html#getEdgeDeparture()">getEdgeDeparture</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Getter to obtain the distance between intermediate and source/target
 points</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;double</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/util/ParallelEdgeRouter.html#getEdgeSeparation()">getEdgeSeparation</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Getter to obtain the distance between each parallel edge</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/util/ParallelEdgeRouter.html#getParallelEdges(org.jgraph.graph.GraphLayoutCache, org.jgraph.graph.EdgeView, org.jgraph.graph.CellView, org.jgraph.graph.CellView)">getParallelEdges</A></B>(<A HREF="../../../org/jgraph/graph/GraphLayoutCache.html" title="class in org.jgraph.graph">GraphLayoutCache</A>&nbsp;cache,
                 <A HREF="../../../org/jgraph/graph/EdgeView.html" title="class in org.jgraph.graph">EdgeView</A>&nbsp;edge,
                 <A HREF="../../../org/jgraph/graph/CellView.html" title="interface in org.jgraph.graph">CellView</A>&nbsp;cellView1,
                 <A HREF="../../../org/jgraph/graph/CellView.html" title="interface in org.jgraph.graph">CellView</A>&nbsp;cellView2)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Getter to obtain the list of parallel edges</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../org/jgraph/util/ParallelEdgeRouter.html" title="class in org.jgraph.util">ParallelEdgeRouter</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/util/ParallelEdgeRouter.html#getSharedInstance()">getSharedInstance</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Getter for singleton managing parallel edges</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/List.html" title="class or interface in java.util">List</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/util/ParallelEdgeRouter.html#routeEdge(org.jgraph.graph.GraphLayoutCache, org.jgraph.graph.EdgeView)">routeEdge</A></B>(<A HREF="../../../org/jgraph/graph/GraphLayoutCache.html" title="class in org.jgraph.graph">GraphLayoutCache</A>&nbsp;cache,
          <A HREF="../../../org/jgraph/graph/EdgeView.html" title="class in org.jgraph.graph">EdgeView</A>&nbsp;edge)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Calc of intermediates points</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/util/ParallelEdgeRouter.html#setEdgeDeparture(double)">setEdgeDeparture</A></B>(double&nbsp;edgeDeparture)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Setter to define distance between intermediate and source/target points</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/util/ParallelEdgeRouter.html#setEdgeSeparation(double)">setEdgeSeparation</A></B>(double&nbsp;edgeSeparation)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Setter to define distance between each parallel edge</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/jgraph/util/ParallelEdgeRouter.html#setGraph(org.jgraph.JGraph)">setGraph</A></B>(<A HREF="../../../org/jgraph/JGraph.html" title="class in org.jgraph">JGraph</A>&nbsp;graph)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>graph instance retained internally</I></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.jgraph.graph.DefaultEdge.LoopRouting"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class org.jgraph.graph.<A HREF="../../../org/jgraph/graph/DefaultEdge.LoopRouting.html" title="class in org.jgraph.graph">DefaultEdge.LoopRouting</A></B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../org/jgraph/graph/DefaultEdge.LoopRouting.html#getEdgeStyle()">getEdgeStyle</A>, <A HREF="../../../org/jgraph/graph/DefaultEdge.LoopRouting.html#getLoopStyle()">getLoopStyle</A>, <A HREF="../../../org/jgraph/graph/DefaultEdge.LoopRouting.html#getPreferredLineStyle(org.jgraph.graph.EdgeView)">getPreferredLineStyle</A>, <A HREF="../../../org/jgraph/graph/DefaultEdge.LoopRouting.html#route(org.jgraph.graph.GraphLayoutCache, org.jgraph.graph.EdgeView)">route</A>, <A HREF="../../../org/jgraph/graph/DefaultEdge.LoopRouting.html#routeLoop(org.jgraph.graph.GraphLayoutCache, org.jgraph.graph.EdgeView)">routeLoop</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Field Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="sharedInstance"><!-- --></A><H3>
sharedInstance</H3>
<PRE>
protected static final <A HREF="../../../org/jgraph/util/ParallelEdgeRouter.html" title="class in org.jgraph.util">ParallelEdgeRouter</A> <B>sharedInstance</B></PRE>
<DL>
<DD>Singleton to reach parallel edge router
<P>
<DL>
</DL>
</DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="ParallelEdgeRouter()"><!-- --></A><H3>
ParallelEdgeRouter</H3>
<PRE>
public <B>ParallelEdgeRouter</B>()</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Method Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="getSharedInstance()"><!-- --></A><H3>
getSharedInstance</H3>
<PRE>
public static <A HREF="../../../org/jgraph/util/ParallelEdgeRouter.html" title="class in org.jgraph.util">ParallelEdgeRouter</A> <B>getSharedInstance</B>()</PRE>
<DL>
<DD>Getter for singleton managing parallel edges
<P>
<DD><DL>

<DT><B>Returns:</B><DD>ParallelEdgeRouter for parallel edges</DL>
</DD>
</DL>
<HR>

<A NAME="routeEdge(org.jgraph.graph.GraphLayoutCache, org.jgraph.graph.EdgeView)"><!-- --></A><H3>
routeEdge</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/util/List.html" title="class or interface in java.util">List</A> <B>routeEdge</B>(<A HREF="../../../org/jgraph/graph/GraphLayoutCache.html" title="class in org.jgraph.graph">GraphLayoutCache</A>&nbsp;cache,
                      <A HREF="../../../org/jgraph/graph/EdgeView.html" title="class in org.jgraph.graph">EdgeView</A>&nbsp;edge)</PRE>
<DL>
<DD>Calc of intermediates points
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="../../../org/jgraph/graph/DefaultEdge.LoopRouting.html#routeEdge(org.jgraph.graph.GraphLayoutCache, org.jgraph.graph.EdgeView)">routeEdge</A></CODE> in class <CODE><A HREF="../../../org/jgraph/graph/DefaultEdge.LoopRouting.html" title="class in org.jgraph.graph">DefaultEdge.LoopRouting</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>edge</CODE> - Edge for which routing is demanding</DL>
</DD>
</DL>
<HR>

<A NAME="getEdgeSeparation()"><!-- --></A><H3>
getEdgeSeparation</H3>
<PRE>
public static double <B>getEdgeSeparation</B>()</PRE>
<DL>
<DD>Getter to obtain the distance between each parallel edge
<P>
<DD><DL>

<DT><B>Returns:</B><DD>Distance</DL>
</DD>
</DL>
<HR>

<A NAME="setEdgeSeparation(double)"><!-- --></A><H3>
setEdgeSeparation</H3>
<PRE>
public static void <B>setEdgeSeparation</B>(double&nbsp;edgeSeparation)</PRE>
<DL>
<DD>Setter to define distance between each parallel edge
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>edgeSeparation</CODE> - New distance</DL>
</DD>
</DL>
<HR>

<A NAME="getEdgeDeparture()"><!-- --></A><H3>
getEdgeDeparture</H3>
<PRE>
public static double <B>getEdgeDeparture</B>()</PRE>
<DL>
<DD>Getter to obtain the distance between intermediate and source/target
 points
<P>
<DD><DL>

<DT><B>Returns:</B><DD>Distance</DL>
</DD>
</DL>
<HR>

<A NAME="setEdgeDeparture(double)"><!-- --></A><H3>
setEdgeDeparture</H3>
<PRE>
public static void <B>setEdgeDeparture</B>(double&nbsp;edgeDeparture)</PRE>
<DL>
<DD>Setter to define distance between intermediate and source/target points
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>edgeDeparture</CODE> - New distance</DL>
</DD>
</DL>
<HR>

<A NAME="getParallelEdges(org.jgraph.graph.GraphLayoutCache, org.jgraph.graph.EdgeView, org.jgraph.graph.CellView, org.jgraph.graph.CellView)"><!-- --></A><H3>
getParallelEdges</H3>
<PRE>
protected <A HREF="http://java.sun.com/j2se/1.4/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>[] <B>getParallelEdges</B>(<A HREF="../../../org/jgraph/graph/GraphLayoutCache.html" title="class in org.jgraph.graph">GraphLayoutCache</A>&nbsp;cache,
                                    <A HREF="../../../org/jgraph/graph/EdgeView.html" title="class in org.jgraph.graph">EdgeView</A>&nbsp;edge,
                                    <A HREF="../../../org/jgraph/graph/CellView.html" title="interface in org.jgraph.graph">CellView</A>&nbsp;cellView1,
                                    <A HREF="../../../org/jgraph/graph/CellView.html" title="interface in org.jgraph.graph">CellView</A>&nbsp;cellView2)</PRE>
<DL>
<DD>Getter to obtain the list of parallel edges
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>edge</CODE> - Edge on which one wants to know parallel edges
<DT><B>Returns:</B><DD>Object[] Array of parallel edges (include edge passed on
         argument)</DL>
</DD>
</DL>
<HR>

<A NAME="setGraph(org.jgraph.JGraph)"><!-- --></A><H3>
setGraph</H3>
<PRE>
public static void <B>setGraph</B>(<A HREF="../../../org/jgraph/JGraph.html" title="class in org.jgraph">JGraph</A>&nbsp;graph)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I>graph instance retained internally</I>
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>graph</CODE> - The graph to set.</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=3 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/ParallelEdgeRouter.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
<p><b>JGraph</b><br>v5.12.4.2</p></EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../org/jgraph/util/Bezier.html" title="class in org.jgraph.util"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../org/jgraph/util/RectUtils.html" title="class in org.jgraph.util"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ParallelEdgeRouter.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>

</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
<font size=1>Copyright (C) 2001-2008 <a href="http://www.jgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font>
</BODY>
</HTML>
